# Add New Tag

## Add a new tag

<mark style="color:green;">`POST`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/tag`

Add a new tag. To choose a color, use hex colors codes and set them to the key of `"color"`. Tags must have unique names. See example body below.&#x20;

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | Bearer {{api\_key}} |

#### Request Body

| Name  | Type   | Description                                                                  |
| ----- | ------ | ---------------------------------------------------------------------------- |
| type  | array  | Array of strings. Indicate if the tag will be attached to a contact or case. |
| color | string | Hex color code.                                                              |
| name  | string | Tag name. Must be unique                                                     |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": {
    "dateCreated": "2021-03-18T08:11:17.000Z",
    "userId": 12,
    "name": null,
    "color": null,
    "type": null,
    "id": 2,
    "user": {
      "departments": [],
      "roles": [],
      "id": 12,
      "name": "vivek",
      "firstName": "vivek",
      "lastName": "",
      "photo": "",
      "email": "vivek@acquire.io",
      "clientId": "",
      "parentId": 0,
      "metaDetails": {
        "isBotClient": false,
        "label": ""
      },
      "type": "user",
      "accessLevel": null
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Body

```
{
        "name": "apitest3",
        "color": "#c034eb",
        "type": ["case", "contact"]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/settings/conversation-settings/tags/add-new-tag.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
